local L = LibStub("AceLocale-3.0"):NewLocale("AuctionMaster", "deDE", false)
if (L) then
    -- AuctionMaster main section
    L["AuctionMaster"] = "AuctionMaster"
    L["Toggles the debugging mode."] = "Wechselt den Debug Modus."
    L["Debug"] = "Debug"
    L["Configuration"] = "Konfiguration"
    L["Opens a configuration window."] = "Öffnet ein Konfigurationsfenster."
    L["Developer"] = "Entwickler"
    L["Locale"] = "Sprache"
    L["Selects the locale to be used for AuctionMaster. Reload of the UI with /rl needed."] = "Selektiert die Sprache die für AuctionMaster verwendet werden soll. Ein Neustart der Benutzeroberfläche mit /rl wird benötigt."
    L["Error: %s"] = "Fehler: %s"
    L["Activated"] = "Aktiviert"
   	L["auctionmaster_conf_help"] = "Dies ist der Konfigurationsbereich von AuctionMaster. Die verschiedenen Module werden sichtbar, wenn Du den \"+\" Knopf neben dem AuctionMaster Text auf der linken Seite drückst.\n\nWenn Du die gewünschten Konfigurationsmöglichkeiten nicht finden solltest, kannst Du einfach im AuctionMaster Forum auf wow.curse.com nachfragen.\n\nDu bist herzlich eingeladen neue Übersetzungen oder Verbesserungen zu den bestehenden beizutragen. Kontaktiere mich dazu einfach auf wow.curse.com."
	L["Release notes"] = "Versionsinformationen"
	L["Opens the documentation for AuctionsMaster."] = "Öffnet die Dokumentation von AuctionMaster."
	L["Shows the release notes for AuctionsMaster."] = "Öffnet die Versionsinformationen zu AuctionMaster."
	L["Resets the complete database of AuctionMaster. This will set everything to it's default values. The GUI will be restarted for refreshing all modules of AuctionMaster."] = "Setzt die komplette Datenbank von AuctionMaster zurück. Das setzt alles in den Ausgangszustand. Die Benutzeroberfläche wird neugestartet, um alle Module von AuctionMaster zu reinitialisieren."
	L["Reset"] = "Reset"
	L["Do you really want to reset the AuctionMaster database? All data gathered will be lost!"] = "Möchtest Du wirklich die Datenbank von AuctionMaster zurücksetzen? Alle gesammelten Daten werden verlorengehen!"

    -- auction house
    L["AuctionHouse"] = "Auktionshaus"
    L["Start tab"] = "Anfangsbereich"
    L["Tab to be selected when opening the auction house."] = "Bereich der nach dem Öffnen des Auktionshauses ausgewählt werden soll."
    L["Snipe"] = "Merken"
    L["Scan"] = "Scannen"
    L["Browse"] = "Suchen"
    L["Bids"] = "Gebote"
    L["Auctions"] = "Auktionen"
    L["Close"] = "Schliessen"
    L["Opens a window to select maximum prices for an item\nto be sniped during the next auction house scans."] = "Öffnet ein Fenster um die maximalen Preise eingeben zu können,\ndie man für einen zu selektierenden Gegenstand zahlen würde."
    L["Starts to scan the auction house to update\nstatistics and snipe for items."] = "Dursucht das Auktionshaus für Statistiken\nund zu kaufende Gegenstände."
    L["Opens a configuration dialog for AuctionMaster."] = "Öffnet ein Fenster um AuctionMaster zu konfigurieren."
    L["Toggle position"] = "Position wechseln"
   	L["Left click for starting/stopping scan.\nRight click for selecting preferred scan mode."] = "Linksklick um einen Scan zu starten/stoppen.\nRechtsklick um den bevorzugten Scanmodus auszuwählen."
	L["Please select a scan mode first. You can do that with a right click on the portrait icon."] = "Bitte erst den Scanmodus auswählen. Das kannst Du durch einen Rechtsklick auf das Portrait Bild erledigen."
	L["Help"] = "Hilfe"
	L["New AuctionMaster release available"] = "Eine neue AuctionMaster Version wurde installiert"

    -- scanner
    L["Found no auctions, press \"Refresh\" to update the list."] = "Keine Gegenstände gefunden, mit \"Neuladen\" danach suchen."
    L["Itms."] = "Stk."
    L["Stop"] = "Stopp"
    L["There is already a running scan."] = "Es läuft gerade schon ein Scan."
    L["Name"] = "Name"
    L["Seller"] = "Verkäufer"
    L["Bid"] = "Gebot"
    L["Buyout"] = "Sofortkauf"
    L["Auction Scan"] = "Auktionsscan"
    L["Scan page %d/%d\nPer page %.2f sec\nEstimated time remaining: %s"] = "Bearbeite Seite %d/%d\nPro Seite %.2f Sekunden benötigt\nVerbleibende Zeit: %s"
    L["Scan page %d/%d"] = "Bearbeite Seite %d/%d"
    L["Finished scan"] = "Scan beendet"
    L["Scanner"] = "Scanner"
    L["Poor"] = "Schlecht"
    L["Common"] = "Verbreitet"
    L["Uncommon"] = "Selten"
    L["Rare"] = "Rar"
    L["Epic"] = "Episch"
    L["Legendary"] = "Legendär"
    L["Artifact"] = "Artefakt"
    L["Minimum quality"] = "Mindestqualität"
    L["Selects the minimum quality for items to be scanned in the auction house."] = "Selektiert die Mindestqualität von Gegenständen, die bei Auktionsscans berücksichtigt werden sollen."
    L["Resets the database of scan snapshots for the current realm and server."] = "Setzt die Datenbank mit den Scan-Ausschnitten für den aktuellen Realm und Server zurück."
    L["Database of scan snapshots for current realm and server where reset."] = "Datenbank mit Scan-Ausschnitten wurde für den aktuellen Realm und Server zurückgesetzt."
    L["Continue"] = "Weiter"
    L["Pause"] = "Pausiert"
    L["Pauses any snipes for the current scan."] = "Pausiert den Auktionsagenten für den laufenden Scan"
    L["Opens the snipe dialog for this item."] = "Öffnet den Merken DIalog für diesen Gegenstand."
    
    -- seller
    L["Can't create stack of %d items, not enough available in inventory."] = "Kann keinen Stapel von %d Gegenständen erzeugen, nicht genügend davon im Rucksack."
    L["Found no empty bag place for building a new stack."] = "Keinen leeren Platz gefunden, um einen neuen Stapel zu bauen."
    L["Error while picking up item."] = "Fehler beim Aufheben des Gegenstandes."
    L["Failed to create stack of %d items."] = "Erzeugung des Stapels mit %d Gegenständen ist fehlgeschlagen."
    L["Per item"] = "Pro Gegenstand"
    L["Stack"] = "Pro Stapel"
    L["Overall"] = "Gesamt"
    L["Fixed price"] = "Festpreis"
    L["Average price"] = "Durchschnittspreis"
    L["Market price"] = "Marktpreis"
    L["Undercut"] = "Unterbieten"
    L["Buyout < bid"] = "Kaufpreis < Anfangsgebot"
    L["Starting Price"] = "Anfangsgebot"
    L["Buyout Price"] = "Kaufpreis"
    L["optional"] = "optional"
    L["Deposit:"] = "Anzahlung:"
    L["Create Auction"] = "Auktion erstellen"
    L["Refresh"] = "Neuladen"
    L["Failed to sell item"] = "Verkauf fehlgeschlagen"
    L["Auction Item"] = "Auktionsgegenstand"
    L["Auction Duration"] = "Auktionsdauer"
    L["Stack size"] = "Stackgröße"
    L["Amount"] = "Anzahl"
    L["Price calculation"] = "Preisberechnung"
    L["Bid type"] = "Gebotsart"
    L["Drag an item here to auction it"] = "Zieht einen Gegenstand hierher, um ihn zur Auktion freizugeben."
    L["Selects the size of the stacks to be sold."] = "Selektiert die Grösse der Stapel die verkauft werden sollen"
    L["Selects the number of stacks to be sold.\nThe number with the +-suffix sells\nalso any remaining items."] = "Selektiert die Anzahl der zu verkaufenden Stapel. Die Zahl mit der +-Endung verkauft auch weitere überzählige Gegenstände."
    L["Selects the mode for calculating the sell prices.\nThe default mode Fixed price just select the last sell price."] = "Selektiert die Preisberechnungsart für die zu verkaufenden Gegenstände. Die Standardeinstellung Festpreis wählt einfach die zuletzt verwendeten Verkaufspreise."
    L["Selects which prices should be shown in the bid and buyout input fields."] = "Selektiert welche Preise in den Eingabefeldern des Startgebots bzw. Sofortkaufs angezeigt werden sollen."
    L["Refreshes the list of current auctions for the selected item to be sold."] = "Lädt die Liste der aktuellen Auktionen des Gegenstandes der verkauft werden soll."
    L["Up-to-dateness: <= "] = "Aktualität: <= "
    L["Sell"] = "Verkaufen"
    L["Autorefresh time"] = "Automatische Neuladezeit"
    L["Selects the minimum time in seconds that has to be passed, before the auction house is automatically scanned for the item to be sold."] = "Selektiert die Zeit in Sekunden, die vergangen sein muß, bevor das Auktionshaus erneut nach den Gegenständen durchsucht wird, die verkauft werden sollen."
    L["Pickup by click"] = "Per Klick aufnehmen"
    L["Pickup items to be soled, when they are shift left clicked."] = "Gegenstand per Shiftlinksklick zum Verkaufen aufnehmen."
    L["Remember stacksize"] = "Stackgröße merken"
    L["Automatically selects the stacksize used the last time for a given item."] = "Wählt automatisch die Stackgröße, die das letzte Mal für einen Gegenstand verwendet wurde."
    L["Remember duration"] = "Auktionsdauer merken"
    L["Automatically selects the duration used the last time for a given item."] = "Wählt automatisch die Auktionsdauer, die das letzte Mal für einen Gegenstand verwendet wurde."
    L["Remember price model"] = "Preisberechnung merken"
    L["Automatically selects the price model used the last time for a given item."] = "Wählt automatisch die Preisberechnung, die das letzte Mal für einen Gegenstand verwendet wurde."
    L["Selling price"] = "Verkaufspreis"
    L["Percentage to be multiplied with the min bid price."] = "Prozentualer Multiplikator für den Startpreis"
    L["Percentage to be multiplied with the buyout price."] = "Prozentualer Multiplikator für den Sofortkaufpreis"
    L["Automatic"] = "Automatisch"
    L["Activates the automatic selection mode for the appropriate pricing model."] = "Aktiviert die automatische Selektion des passenden Preismodells."
    L["Current price"] = "Aktueller Preis"
    L["Auto selling"] = "Automatischer Verkauf"
    L["Settings for automatically selecting the best fitting price model."] = "Einstellungen für die automatische Auswahl des passenden Preismodells."
    L["Upper market threshold"] = "Oberes Marktpreis Limit"
    L["Minimal needed percentage of buyouts compared to market price, until they are assumed to be considerably above the market price."] = "Mindestens benötigter prozentualer Unterschied, bis eine Auktion deutlich über dem Marktpreis liegt."
    L["Lower market threshold"] = "Unteres Marktpreis Limit"
    L["Maximal allowed percentage of buyouts compared to market price, until they are assumed to be considerably under the market price."] = "Maximal erlaubter prozentualer Anteil, bis zu der eine Auktion deutlich unter dem Marktpreis liegt."
    L["There are no other auctions for this item."] = "Es gibt keine anderen Auktionen für diesen Gegenstand."
    L["All other auctions are considerably above the market price."] = "Alle anderen Auktionen sind deutlich über dem Marktpreis."
    L["Some other auctions are considerably under the market price."] = "Einige andere Auktionen sind deutlich unter dem Marktpreis."
    L["Other auctions have to be undercut."] = "Die anderen Auktionen müssen unterboten werden."
   	L["Default duration"] = "Standardauktionsdauer"
	L["Default duration for creating auctions."] = "Vorgabe für die Auktionsdauer von neuen Auktionen."
	L["Cancel Auction"] = "Auktionsabbruch"
	L["Price modifier"] = "Preis Anpassung"
	L["Bid multiplier"] = "Startpreis Multiplikator"
	L["Selects the percentage of the buyout price the bid value should be set to. A value of 100 will set it to the equal value as the buyout price. It will never fall under blizzard's suggested starting price, which is based on the vendor selling value of the item."] = "Selektiert den prozentualen Anteil, auf den der Startpreis relativ zum Sofortkauf gesetzt werden soll. Ein Wert von 100 setzt den STartpreis auf den gleichen Wert wie den Sofortkauf Wert. Der Startpreis wird niemals unter den von Blizzard vorgeschlagenen Wert fallen."
	L["Selects the type of price modification."] = "Selektiert den Typ der Preis-Anpassung."
	L["Please correct the drop downs first!"] = "Bitte zunächst die Eingabefelder korrigieren!"
	L["Calculate starting price"] = "Startpreis berechnen"
	L["Should the starting price be calculated? Otherwise it is dependant from the buyout price."] = "Soll der Startpreis berechnet werden? Ansonsten wird er relativ zum Sofortkauf gesetzt."

    -- sell prizes
    L["Sales price (%d)"] = "Verkaufspreis (%d)"
    L["Sales price"] = "Verkaufspreis"
    L["Show label"] = "Label anzeigen"
    L["Selects whether the sell prize label should be shown in the GameTooltip."] = "Wählt aus, ob der Verkaufspreis Label im Tooltip angezeigt werden soll."
    L["Your help is needed. You have %d new or updated sell prices. Type \"/am submit\" for more information. Type \"/am deny_submit\" to get rid off this message."] = "Deine Hilfe wird benötigt. Du hast %d neue oder aktualisierte Verkaufspreise. Gebe \"/am submit\" ein für mehr Informationen. Gebe \"/am deny_submit\" ein, um diese Meldung loszuwerden"
    L["Please send the AuctionMaster.lua database file to %s. You can find it in the \"WTF\\Account\\<account-name>\\SavedVariables\" directory located in your WoW installation. It contains no personal information. The file is written after exiting WoW, so please don't send it while playing WoW."] = "Bitte sende die AuctionMaster.lua Datenbankdatei an %s. Du kannst sie im \"WTF\\Account\\<account-name>\\SavedVariables\" Verzeichnis Deiner WoW Installation finden. Sie enthält keine persönlichen Daten. Die Datei wird erst geschrieben, wenn WoW verlassen wurde. Versende sie also bitte nicht, während Du WoW spielst."
    L["Sell price submit reminder has been deactivated for this release."] = "Die Verkaufspreiserinnerung wurde für diese Version deaktiviert."
    L["Submit"] = "Senden"
    L["Describes how to submit the AuctionMaster database file."] = "Beschreibt wie die AuctionMaster Datenbankdatei gesendet werden kann."
    L["Deny submit"] = "Senden ablehnen"
    L["Deactivates the sell price reminder for this release."] = "Deaktiviert die Verkaufspreiserinnerung für diese Version."
    
    L["SellPrizes"] = "Verkaufspreise"
    L["Resets the database of sell prizes for the current account. Will not delete the predelivered default database."] = "Löscht die Datenbak der Verkaufspreise für den aktuellen Account. Löscht nicht die mitgelieferte Datenbank mit den Standardverkaufspreisen."
    L["Database of sell prizes for current account where reset."] = "Die Datenbank mit den Verkaufspreisen wurde für den aktuellen Account zurückgesetzt."
    L["Show sell prizes"] = "Verkaufspreise anzeigen"
    L["Selects whether the sell prizes should be shown in the GameTooltip."] = "Wählt aus, ob die Verkaufspreise im GameTooltip angezeigt werden sollen."
    		
    -- sniper
    L["Set snipe"] = "Gegenstand merken"
    L["Name:"] = "Name:"
    L["Type in name of the item here,/nor just drop it in."] = "Namen des Gegenstandes eintippen,\noder einfach hier reinziehen."
    L["Bid:"] = "Gebot:"
    L["Buyout:"] = "Sofortkauf:"
    L["Set"] = "Setzen"
    L["Cancel"] = "Abbrechen"
    L["Buyout is less or equal %s."] = "Sofortkauf ist kleiner oder gleich %s."
    L["Bid is less or equal %s."] = "Gebot ist kleiner oder gleich %s."
    L["Ok"] = "Ok"
    L["Item not found"] = "Gegenstand nicht gefunden"
    L["Not enough money"] = "Nicht genügend Gold"
    L["Own auction"] = "Eigene Auktion"
    L["Higher bid"] = "Höheres Gebot"
    L["No more items of this type possible"] = "Nicht mehr Gegenstände dieser Art möglich"
    L["Snipe bid (%d)"] = "Gemerktes Gebot (%d)"
    L["Snipe bid"] = "Gemerktes Gebot"
    L["Snipe buyout (%d)"] = "Gemerkter Sofortkauf (%d)"
    L["Snipe buyout"] = "Gemerkter Sofortkauf"
    L["Database of snipes for current realm where reset."] = "Datenbank der gemerkten Auktionen wurde für den aktuellen Realm zurückgesetzt."
    L["Sniper"] = "Auktionsagent"
    L["Resets the database of snipes for the current realm."] = "Setzt die Datenbank der gemerkten Auktionen für den aktuellen Realm zurück."
    L["Show snipes"] = "Gemerkte Auktionen anzeigen"
    L["Selects whether any existing snipes should be shown in the GameTooltip."] = "Wählt aus, ob etwaige gemerkte Auktionen im GameTooltip angezeigt werden sollen."
    L["Delete"] = "Löschen"
    L["Snipe bookmarked"] = "Gemerkte bieten"
    L["Snipe for bookmarked items."] = "Auf gemerkte Gegenstände bieten"
    L["Snipe sell prices"] = "Verkaufspreise bieten"
    L["Snipe for items with higher sell prices."] = "Auf Gegenstände bieten, deren Verkaufspreis höher ist."
    L["Buyout is %s less than sell price (%d%%)."] = "Sofortkauf ist %s geringer als Verkaufspreis (%d%%)."
    L["Bid is %s less than sell price (%d%%)."] = "Gebot ist %s geringer als Verkaufspreis (%d%%)."
    L["Minimum profit"] = "Mindestprofit"
    L["Minimum profit in silver that is needed before sniping for items. Will be ignored for bookmarked items."] = "Mindestprofit in Silber, um auf Gegenstände zu bieten. Wird für gemerkte Gegenstände ignoriert."
    L["Snipe average"] = "Durchschnitspreis bieten"
    L["Snipe if the estimated profit according to the average values is higher as the given percent number. Set to zero percent to turn it off."] = "Biete wenn der erwartete Profit nach den Durchschnittswerten die gegebene Prozentzahl übersteigt. Auf Null setzen, um es zu deaktivieren."
    L["Buyout for %s possible profit (%d%%)."] = "Sofortkauf für %s möglichen Profit (%d%%)."
    L["Bid for %s possible profit (%d%%)."] = "Bieten für %s möglichen Profit (%d%%)."
    L["Fast scan"] = "Schnell scannen"
    L["Settings for the normal scan mode."] = "Einstellungen für den normalen Scanmodus."
    L["Settings for the fast scan mode."] = "Einstellungen für den schnellen Scanmodus."
   	L["Do you really want to bid on this item?"] = "Möchtest Du wirklich auf diesen Gegenstand bieten?"
	L["Do you really want to buy this item?"] = "Möchtest Du wirklich diesen Gegenstand kaufen?"

    -- statistic
    L["Current auctions (%d)"] = "Aktuelle Auktionen (%d)"
    L["Bid (%d)"] = "Gebot (%d)"
    L["Buyout (%d)"] = "Sofortkauf (%d)"
    L["Show historically averages"] = "Zeige historische Durchschnitte"
    L["Selects whether historically average values from auction scans should be shown in the GameTooltip."] = "Wählt aus, ob historische Durchschnitte von Auktionsscans im GameTooltip ausgegeben werden sollen"
    L["Show current averages"] = "Zeige aktuelle Durchschnitte"
    L["Selects whether current average values from auction scans should be shown in the GameTooltip."] = "Wählt aus, ob aktuelle Durchschnitte von Auktionsscans im GameTooltip angezeigt werden sollen."
    L["Statistics"] = "Statistiken"
    L["Moving average"] = "Gleitender Durchschnitt"
    L["Selects the number of (approximated) values, that should be taken for the moving average of the historically auction scan statistics."] = "Setzt die Anzahl der (geschätzten) historischen Werte, die für den Gleitenden Durchschnit der Statistiken von Auktionsscans herangezogen werden sollen."
    L["< standard deviation multiplicator"] = "< Standardabweichung Multiplikator"
    L["Selects the standard deviation multiplicator for statistical values to be removed, which are smaller than the average. The larger the multiplicator is selected, the lesser values are removed from the average calculation."] = "Multiplikator für die Standardabweichung zum Bereinigen von Statistikwerten die kleiner als der Durchschnitt sind. Je größer der Multiplikator gewählt wird, desto weniger Werte werden entfernt."
    L["> standard deviation multiplicator"] = "> Standardabweichung Multiplikator"
    L["Selects the standard deviation multiplicator for statistical values to be removed, which are larger than the average. The larger the multiplicator is selected, the lesser values are removed from the average calculation."] = "Multiplikator für die Standardabweichung zum Bereinigen von Statistikwerten die größer als der Durchschnitt sind. Je größer der Multiplikator gewählt wird, desto weniger Werte werden entfernt."
    
    -- tooltip hook
    L["AuctionMaster statistics"] = "AuctionMaster Statistiken"
    L["Selects whether any informations from AuctionMaster should be shown in the GameTooltip."] = "Wählt aus, ob AuctionMaster überhaupt irgendwelche Informationen im GameTooltip ausgeben soll."
    L["Tooltip"] = "Tooltip"
    L["Show label"] = "Label anzeigen"
    L["Selects whether the AuctionMaster label should be shown in the GameTooltip."] = "Zeigt den AuctionMaster Label im Tooltip."
    
    -- items
    L["Items"] = "Gegenstände"
    L["Reset database"] = "Datenbank löschen"
    L["Resets the database of items for the current realm and server. This will delete all alltime statistics and sell prizes, so be careful."] = "Setzt die Datenbank aller Gegenstände dieses Servers und Realms zurück. Die Funktion sollte mit Bedacht aufgerufen werden. Es werden dadurch werden alle Statistiken und Verkaufspreise gelöscht."
    L["Database of items for current realm/server where reset."] = "Datenbank der Gegenstände wurde für den aktuellen Realm/Server zurückgesetzt."
    L["Do you really want to reset the database?"] = "Möchtest Du wirklich die Datenbank löschen?"
    L["Yes"] = "Ja"
    L["No"] = "Nein"
end
